# orcus

orcus.detect_format()

  Detects the file format of the stream.

  Parameters:

    stream – either bytes, or file object containing a byte stream.

  Return type:

    `orcus.FormatType`

  Returns:

    enum value specifying the detected file format.

  Example:

      import orcus

      with open("path/to/file", "rb") as f:
          fmt = orcus.detect_format(f)

- Cell
- CellType
- Document
- FormatType
- FormulaToken
- FormulaTokenOp
- FormulaTokenType
- FormulaTokens
- NamedExpressions
- Sheet
- SheetRows